package com.izouma.awesomeadmin.service;

import java.util.*;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.ServiceType;


/**
*  service接口类
*/
public interface ServiceTypeService{

    List<ServiceType> getServiceTypeList(ServiceType record);

    List<ServiceType> getServiceTypeListForHome(ServiceType record);

    List<ServiceType> getServiceTypeByPage(Page page, ServiceType record);

    ServiceType getServiceTypeById(String id);

    ServiceType getServiceType(ServiceType record);

    boolean createServiceType(ServiceType record);

    boolean deleteServiceType(String id);

    boolean updateServiceType(ServiceType record);
}

